Bug 50254 - GCC Keeps Warning on compling alsa sound driver package
Summary: GCC Keeps Warning on compling alsa sound driver package
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-29 08:20 UTC by Parag Warudkar
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-29 08:20:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Parag Warudkar 2001-07-29 08:20:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010701

Description of problem:
GCC Warns continuosly  :warning: pasting "": "" and ""no AZT2320 based
soundcards found\n"" 
does not give a valid preprocessing token
warning: extra tokens at end of #undef directive



How reproducible:
Always

Steps to Reproduce:
1.Compile latest alsa sound driver package
2.
3.
	

Actual Results:  Warnings

Expected Results:  Clean compile

Additional info:

gcc -v :Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-94)

Comment 1 Jakub Jelinek 2001-08-03 13:36:31 UTC
The ISO C standard sais if pasting two tokens together does not produce
a valid preprocessing token (and pasting together 2 string literals does
not), the result is undefined, so this warning is really appropriate.
It is ALSA which should be fixed, so I'd suggest you contact ALSA authors
and make them fix their code.


Note You need to log in before you can comment on or make changes to this bug.